<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>Ludo</title>
    <link href="/master.css" rel="stylesheet"/>
</head>
<body>
    <div id="root">
        <div class="player_cont">
            <div class="player_field" style="border-color: #db242f"><p>-</p><img src="/end_symbol.svg" alt="-"/></div>
            <div class="player_field" style="border-color: #2348d0"><p>-</p><img src="/end_symbol.svg" alt="-"/></div>
            <div class="player_field" style="border-color: #dba011"><p>-</p><img src="/end_symbol.svg" alt="-"/></div>
            <div class="player_field" style="border-color: #38a509"><p>-</p><img src="/end_symbol.svg" alt="-"/></div>
            <div class="rule"></div>
            <div class="timer_cont">
                <img src="/time_symbol.svg" alt="time: ">
                <p>--:--</p>
            </div>
            <div class="rule"></div>
            <label for="ready">ready: </label><input type="checkbox" id="ready">
            <div class="rule"></div>
            <div class="logoff_cont" id="logoff">
                <img src="/wypierdol_symbol.svg" alt="logoff"/>
                <p style="display: none">logoff?</p>
            </div>
        </div>
        <div id="canvas_cont">
            <canvas id="canvas" width="540" height="540"></canvas>
        </div>
        <script type="module" defer>
            console.log("exec room");
            import { Canvas } from "/js/Canvas.js";
            import { Methods } from "/js/Methods.js";
            import { Dialog } from "/js/View.js";
            import { SHARED } from "/js/State.js";
            console.log("loaded modules");

            document.getElementById("ready").addEventListener("change", Dialog.ready);
            document.getElementById("logoff").addEventListener("click", Dialog.logoff);

            // setup graphics

            //clearInterval(SHARED.sync_interval);
            SHARED.sync_interval = setInterval(() => { Methods.sync(); console.log("sync"); }, 1000);

            Canvas.renderer.change_canvas(document.getElementById("canvas"));
            Canvas.renderer.pattern = Canvas.main_pattern;
            console.log(Canvas);
            Canvas.renderer.main();
        </script>
    </div>
</body>
</html>
